<div>
    <div class="title">
        <h2>Cadastro de Questionários</h2>
    </div>

    <div class="card">
        <div class="row">
            <div class="col-12">
                <label>Nome:</label>
                <input type="text" [(ngModel)]="questionario.nome">
            </div>
        </div>
    </div>

    <div class="card">
        <div class="row">
            <div class="col-12">
                <table>
                    <tr>
                        <th class="checkbox">&nbsp;</th>
                        <th>Questão</th>
                        <th>Tipo de Resposta</th>
                    </tr>
                    <tr *ngFor="let q of questoes | async">
                        <td>{{q.questao}}</td>
                        <td>{{q.tipoResposta.descricao}}</td>
                        <td><input type="checkbox" (change)="changeCheck(q.id, $event)"></td>
                    </tr>   
                    <tr>
                        <tfoot>
                            <button type="button" (click)="novaQuestao();">Novo</button>
                        </tfoot>
                    </tr> 
                </table>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="row">
            <div class="col-6">
                <button type="button" (click)="salvar();">Salvar</button>
            </div>
            <div class="col-6">
                <button type="button" (click)="cancelar();">Cancelar</button>
            </div>
        </div>
    </div>
</div>